Skip to main content
DELETE
/
managed_accounts
/
{managed_account_token}
Delete managed account
curl --request DELETE \
  --url https://api.vantage.sh/v2/managed_accounts/{managed_account_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/managed_accounts/{managed_account_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/managed_accounts/{managed_account_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "<string>",
  "name": "<string>",
  "contact_email": "<string>",
  "parent_account_token": "<string>",
  "access_credential_tokens": [
    "<string>"
  ],
  "billing_rule_tokens": [
    "<string>"
  ],
  "email_domain": "<string>",
  "msp_billing_profile_token": "<string>",
  "payment_terms_days": 123,
  "include_managed_account_integrations": true,
  "billing_information_attributes": {
    "token": "<string>",
    "company_name": "<string>",
    "country_code": "<string>",
    "address_line_1": "<string>",
    "address_line_2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "billing_email": [
      "<string>"
    ]
  },
  "business_information_attributes": {
    "token": "<string>",
    "metadata": {
      "custom_fields": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

managed_account_token
string
required

Response

ManagedAccount model

token
string
required
name
string
required
contact_email
string
required
parent_account_token
string
required

The token for the parent Account.

access_credential_tokens
string[]
required

The tokens for the Access Credentials assigned to the Managed Account.

billing_rule_tokens
string[]
required

The tokens for the Billing Rules assigned to the Managed Account, in the order they will execute against this account's cost data.

email_domain
string | null

Email domain associated with this Managed Account for SSO.

msp_billing_profile_token
string | null

Token of the MSP billing profile used for this managed account (MSP invoicing accounts only)

payment_terms_days
integer<int32> | null

Number of days until payment is due after invoice date (MSP invoicing accounts only)

include_managed_account_integrations
boolean | null

Whether to include managed account's own integrations in invoice cost calculations (MSP invoicing accounts only)

billing_information_attributes
object
business_information_attributes
object